package models

import (
	"github.com/ethereum/go-ethereum/common"
	"math/big"
)

type AddrBill struct {
	Id int64
	Addr string
	Amount float64 `xorm:"Decimal"`
	BillType int
	CreateTime string
}

type UserAddr struct {
	Addr string `xorm:"pk"`
	IdFlag int
	Pid int
	RealPid int
	PidFlag string
	People int
	Level int
	RemovePeople int
	TeamBoss int
	BadTime string
	Msg string
	LockAmount1 float64 `xorm:"Decimal"`
	LockAmount2 float64 `xorm:"Decimal"`
	Profit1 float64 `xorm:"Decimal"`
	Profit2 float64 `xorm:"Decimal"`
	Profit3 float64 `xorm:"Decimal"`
	Profit4 float64 `xorm:"Decimal"`
	Amount float64 `xorm:"Decimal"`
	Price float64 `xorm:"Decimal"`
	UseAmount float64 `xorm:"Decimal"`
	AmountLv float64 `xorm:"Decimal"`
	Hash string
	Block int64
	CreateTime string
}

type CommonInfo struct {
	Id int64
	Amount float64 `xorm:"Decimal"`
	SupplyAmount float64 `xorm:"Decimal"`
	SupplyTime string
}

type SuccessBill struct {
	Id int64
	Addr string
	Amount float64 `xorm:"Decimal"`
	Status int
	Block int64
	Hash string
	FromAddr string
	Ty int
	CreateTime string
}

type WithdrawalBill struct {
	Id int64
	Addr string
	Amount float64 `xorm:"Decimal"`
	Status int
	CreateBlock int64
	SucBlock int64
	Hash string
	CreateTime string
}


type TeamUserInfo struct {
	Addr string
	People int
	NftNum int
	CreateTime string
}

type Ihot struct {
	User common.Address
	Referrer common.Address
	Amount *big.Int
	Price *big.Int
}

type Withdraw struct {
	User common.Address
	Amount *big.Int
}

